Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTreeUI.SelectionModelPropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.SelectionModelPropertyChangeHandler

- All Implemented Interfaces:
    `PropertyChangeListener`, `EventListener`
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.SelectionModelPropertyChangeHandler
      extends Object
      implements PropertyChangeListener

  Listener on the TreeSelectionModel, resets the row selection if any of the properties of the model change.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectionModelPropertyChangeHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.beans.PropertyChangeListener

      `propertyChange`

- - ### Constructor Detail

    - #### SelectionModelPropertyChangeHandler

          public SelectionModelPropertyChangeHandler()